# This is an example PKGBUILD file. Use this as a start to creating your own,
# and remove these comments. For more information, see 'man PKGBUILD'.
# NOTE: Please fill out the license field for your package! If it is unknown,
# then please put 'unknown'.

# Maintainer: Future Linux Team <future_linux@163.com>
pkgname=xcb-proto
pkgver=1.16.0
pkgrel=1
pkgdesc="XML-XCB protocol descriptions"
arch=('x86_64')
url="https://xcb.freedesktop.org/"
license=('custom')
makedepends=('python' 'libxml2')
source=(https://xorg.freedesktop.org/archive/individual/proto/${pkgname}-${pkgver}.tar.xz)
sha256sums=(a75a1848ad2a89a82d841a51be56ce988ff3c63a8d6bf4383ae3219d8d915119)

build() {
	cd ${pkgname}-${pkgver}

	PYTHON=python3               \
	${CONFIGURE}                 \
		--disable-static

	make
}

package() {
	cd ${pkgname}-${pkgver}

	make DESTDIR=${pkgdir} install
}
